#!/usr/bin/python 
import sys
LED3_PATH = "/sys/class/leds/beaglebone:green:usr3"

def write2LED(fileName, value, path=LED3_PATH):
    """This function writes the passed value to the file in the path"""
    fo = open(path + fileName,"w")
    fo.write(value)
    fo.close()
    return

def removeTrigger():
    write2LED("/trigger", "none")
    return
#Application Begin:
print("Starting the LED Python Script") 
if len(sys.argv)!=2:
    print("Incorrect number of arguments")
    sys.exit(2)

#More than one argument:
if sys.argv[1]=="on":
    print("LED on")
    removeTrigger()
    write2LED("/brightness", "1")
elif sys.argv[1]=="off":
    print("LED off")
    removeTrigger()
    write2LED(fileName="/brightness", value="0")
else:
    print("Wrong command")



print("End of Script")
